body {
  margin: 0;
}

.interactive {
  margin: 0 auto;
  display: flex;
  height: calc(100vh - 52px);
}

.actions {
  background-color: #fafafa;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  height: 52px;
  padding: 10px;
  box-sizing: border-box;
}

.arrows {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.arrows img {
  cursor: pointer;
  padding: 10px 0;
  width: 18px;
}

#kelce {
  flex: 1;
}

#kelce > svg {
  display: block;
  max-height: 100%;
}

#head > g, #torso > g, #pants > g, #shoes > g {
  transform: translateX(300vw);
}

#head > g.active, #torso > g.active, #pants > g.active, #shoes > g.active {
  transform: translateX(0);
}

g[data-animation="from-right"] {
  animation: fromRight .6s ease;
}

g[data-animation="from-left"] {
  animation: fromLeft .6s ease;
}


g[data-animation="to-right"] {
  animation: toRight .6s ease;
}

g[data-animation="to-left"] {
  animation: toLeft .6s ease;
}

.download {
  cursor: pointer;
}

/**
 * Animations
 */

@keyframes fromRight {
  from {
    transform: translateX(100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fromLeft {
  from {
    transform: translateX(-100%);
    opacity: 0;
  }

  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes toRight {
  from {
    transform: translateX(0);
    opacity: 1;
  }

  to {
    transform: translateX(100%);
    opacity: 0;
  }
}

@keyframes toLeft {
  from {
    transform: translateX(0);
    opacity: 1;
  }

  to {
    transform: translateX(-100%);
    opacity: 0;
  }
}
